/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  pgm2fff.c                                                */
/*                                                           */
/*  Latest update:  98, Stefan Spaennare                     */
/*************************************************************/

/*****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/


#include <math.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

double timetic=(double)(CLOCKS_PER_SEC);

void getrow(infile,ss)
FILE *infile;
char *ss;
{
   int j;
   char c;

   if ((c = getc(infile)) != EOF) {
      ss[0]=c;
      j=1;
      if (c != '\n') {
         while ((c = getc(infile)) != '\n') {
            ss[j]=c;
            j++;
         } /* while */
      } /* if */
      ss[j]='\0';
   } /* if */

} /* readline */


int main(argc,argv) 
int argc;
char *argv[];
{
  
   FILE *infile,*outfile;

   int i,j,xi,yi,xsize,ysize,hsize;

   double ftemp;

   char ss[257];


   unsigned char ccc[3];

   int xys[3];

   float fff[3];

   unsigned char **image;
   unsigned char *mpimage;

   clock_t time1,timediff;


   if (argc<2) {
      printf("Usage: %s pgmfile outimage.fff\n",argv[0]);
      exit(0);
   } /* if */

  
   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   getrow(infile,ss);
   getrow(infile,ss);
   fscanf(infile,"%d %d",&xsize,&ysize);
   getrow(infile,ss);
   getrow(infile,ss);

   printf("%6d %6d\n",xsize,ysize);

   image=(unsigned char **)calloc(ysize,sizeof(unsigned char*));
   mpimage=(unsigned char *)calloc(xsize*ysize,sizeof(unsigned char));

   for (i=0; i<ysize; i++) {
      image[i]=mpimage;
      mpimage=mpimage+xsize;
   } /* for i */


   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
         fread(&ccc[1],sizeof(unsigned char),1,infile);
	 image[i][j]=ccc[1];
      } /* for j */
   } /* for i */

   xys[1]=xsize;
   xys[2]=ysize;

   outfile=fopen(argv[2],"wb");
       
   fwrite(&xys[1],sizeof(int),2,outfile);

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
         fff[1]=(float)(image[i][j]);
         fwrite(&fff[1],sizeof(float),1,outfile);
      } /* for j */
   } /* for i */

   fclose(infile);
   fclose(outfile);

} /* End  */
