/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  bdf2fff.c   SS Aug 97                                    */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>


int main(argc,argv) 
int argc;
char *argv[];
{
   FILE *infile,*outfile;
   
   int i,j,k,n,xsize,ysize,hsize,nm,nmm;

   int xys[3];

   float fff[3];
  
   char *d;

   short *ss;

   float *sss;

   if (argc<2) {
      printf("Usage: %s image.bdf image.fff\n",argv[0]);
      exit(0);
   } /* if */


   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile = fopen(argv[2],"wb");

   hsize=6656/2;

   nm=hsize;

   ss=(short *)calloc(nm+1,sizeof(short));

   fread(&ss[1],sizeof(short),nm,infile);

   printf("%6d %6d %6d\n",ss[29],ss[31],ss[37]);

   xsize=ss[29];
   ysize=ss[31];
   hsize=ss[37];

   rewind(infile);

   nm=hsize/2;

   fread(&ss[1],sizeof(short),nm,infile);

   nmm=xsize*ysize;

   sss=(float *)calloc(nmm+1,sizeof(float));

   fread(&sss[1],sizeof(float),nmm,infile);

   xys[1]=xsize;
   xys[2]=ysize;

   fwrite(&xys[1],sizeof(int),2,outfile);
 
   for (i=ysize-1; i>=0; i--) {
      for (j=0; j<xsize; j++) {
          k=xsize*i+j+1;
          fff[1]=sss[k];
	  fwrite(&fff[1],sizeof(float),1,outfile);
      } /* for j */
   } /* for i */

   fclose(infile);
   fclose(outfile);

} /* End  */
