/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*   imadd.c  SS July 92                                     */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "image.h"


int main(argc,argv) 
int argc;
char *argv[];
{
   struct image_head header;
   short **Image;

   int i,j,bg,z,k;

   if (argc<3) {
      printf("Usage: %s inimage outimage termi\n",argv[0]);
      exit(0);
   } /* if */

 
   ReadHeader(argv[1],&header);

   Image = (short **)calloc(header.hgh,sizeof(short*));

   ReadImage(argv[1],Image);



bg=atoi(argv[3]);

 k=0;

 for (i=0; i<header.wid; i++) {
    for (j=0; j<header.hgh; j++) {
       z=Image[j][i]+bg;
       if (z < 0 ) {
          z=0;
          k++;
       } /* if */
       if (z > 32767) {
          z=32767;
       } /* if */ 
       Image[j][i]=z;
     } /* for j */
   } /* for i */

printf("%6d\n",k);
 
WriteImage(argv[2],Image,header,im_s16);

} /* End  */
