/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  imrotf.c   SS July 92, Dec 97                            */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>


int main(argc,argv) 
int argc;
char *argv[];
{
  
   FILE *infile,*outfile;

   int i,j,xsize,ysize;

   int xys[3];

   float fff[3];

   float **image;
   float *mpimage;


   if (argc<2) {
      printf("Usage: %s inimage.fff outimage.fff\n",argv[0]);
      exit(0);
   } /* if */

  
   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile=fopen(argv[2],"wb");

   fread(&xys[1],sizeof(int),2,infile);

   xsize=xys[1];
   ysize=xys[2];

   image=(float **)calloc(ysize,sizeof(float*));
   mpimage=(float *)calloc(xsize*ysize,sizeof(float));

   for (i=0; i<ysize; i++) {
      image[i]=mpimage;
      mpimage=mpimage+xsize;
   } /* for i */

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
          fread(&fff[1],sizeof(float),1,infile);
	  image[i][j]=fff[1];
      } /* for j */
   } /* for i */

   xys[1]=ysize;
   xys[2]=xsize;

   fwrite(&xys[1],sizeof(int),2,outfile);

   for (i=0; i<xsize; i++) {
      for (j=0; j<ysize; j++) {
          fff[1]=image[j][i];
          fwrite(&fff[1],sizeof(float),1,outfile);
      } /* for j */
   } /* for i */

   printf("%6d %6d\n",ysize,xsize);

   fclose(infile);
   fclose(outfile);

} /* End  */
