/***************************************************************************/
/*                                                                         */
/*                                                                         */
/* SSPHOT A Photometry Package                                             */
/* ===========================                                             */
/*                                                                         */
/* This C-program is part of the SSPHOT photometry package.                */
/* See the links below for more information and documentation.             */
/*                                                                         */
/* Author                                                                  */
/* ======                                                                  */
/*                                                                         */
/* Stefan Spaennare, Lund, Sweden                                          */
/*                                                                         */
/* E-mail: stefan@spaennare.se                                             */
/*                                                                         */
/* Home page:                                                              */
/*                                                                         */
/* http://www.spaennare.se/index.html                                      */
/*                                                                         */
/* Please download the package and the documentation from the web-page:    */
/*                                                                         */
/* http://www.spaennare.se/ssphot.html                                     */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

/********************************************************************************/
/*                                                                              */
/* Notice                                                                       */
/* ======                                                                       */
/*                                                                              */
/* I make no warranties that this program is (1) free of errors, (2) consistent */
/* with any standard merchantability, or (3) meeting the requirements of a      */
/* particular application. This software shall not, partly or as a whole,       */
/* participate in a process, whose outcome can result in injury to a person or  */
/* loss of property. It is solely designed for analytical work. Permission to   */
/* use, copy and distribute is hereby granted without fee, providing that the   */
/* header above including this notice appears in all copies.                    */
/*                                                                              */
/*                                                            Stefan Spaennare  */
/*                                                                              */
/********************************************************************************/

/*************************************************************/
/*  rebinuf.c   SS July 92, Dec 97                           */
/*                                                           */
/*************************************************************/

#include <math.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>


int main(argc,argv) 
int argc;
char *argv[];
{
  
   FILE *infile,*outfile;

   int i,j,i2,j2,k,l,bf,w,h;
   int xsize,ysize,xsize2,ysize2;

   int xys[3];

   float z;

   float fff[3];

   float **image,**image2;
   float *mpimage,*mpimage2;


   if (argc<4) {
      printf("Usage: %s inimage.fff outimage.fff binfactori\n",argv[0]);
      exit(0);
   } /* if */

  
   if ((infile = fopen(argv[1],"rb")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile=fopen(argv[2],"wb");

   bf=atoi(argv[3]);

   fread(&xys[1],sizeof(int),2,infile);

   xsize=xys[1];
   ysize=xys[2];

   xsize2=bf*xsize;
   ysize2=bf*ysize;

 
   image=(float **)calloc(ysize,sizeof(float*));
   mpimage=(float *)calloc(xsize*ysize,sizeof(float));

   for (i=0; i<ysize; i++) {
      image[i]=mpimage;
      mpimage=mpimage+xsize;
   } /* for i */

   image2=(float **)calloc(ysize2,sizeof(float*));
   mpimage2=(float *)calloc(xsize2*ysize2,sizeof(float));

   for (i=0; i<ysize2; i++) {
      image2[i]=mpimage2;
      mpimage2=mpimage2+xsize2;
   } /* for i */

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
          fread(&fff[1],sizeof(float),1,infile);
	  image[i][j]=fff[1];
      } /* for j */
   } /* for i */

   for (i=0; i<ysize; i++) {
      for (j=0; j<xsize; j++) {
          i2=bf*i;
          j2=bf*j;
          z=image[i][j];
          for (k=i2; k<i2+bf; k++) {
             for (l=j2; l<j2+bf; l++) {
                image2[k][l]=z;
             } /* for l */
          } /* for k */
      } /* for j */
   } /* for i */

   xys[1]=xsize2;
   xys[2]=ysize2;

   fwrite(&xys[1],sizeof(int),2,outfile);

   for (i=0; i<ysize2; i++) {
      for (j=0; j<xsize2; j++) {
          fff[1]=image2[i][j];
          fwrite(&fff[1],sizeof(float),1,outfile);
      } /* for j */
   } /* for i */

   fclose(infile);
   fclose(outfile);

} /* End  */
